%define upstream_name    Class-Accessor-Ref
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Class-Accessor-Ref module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAL/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Class::Accessor)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch

%description
This is an extension of Class::Accessor that allows taking a reference
of members of an object. This is typically useful when your class
implementation uses a third-party module that expects an in/out parameter
in its interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes examples
%{perl_vendorlib}/Class/Accessor/Ref.pm
%{_mandir}/*/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-13.mga10
+ Revision: 2203520
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1808561
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1503562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1282248
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.50.0-9.mga7
+ Revision: 1163293
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.50.0-8.mga7
+ Revision: 1158935
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1023854
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 930238
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 746152
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 683882
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509956
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 9890
- imported package perl-Class-Accessor-Ref


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 402278
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.05-3mdv2009.0
+ Revision: 241172
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2008.0
+ Revision: 46613
- update to new version 0.05


* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-2mdv2007.0
+ Revision: 89737
- Import perl-Class-Accessor-Ref

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix BuildRequires
- Fix Souce url
- %%mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

